%define upstream_name	 PerlIO-via-symlink
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Perl module that helps creating dynamic PerlIO layers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Module::Install)

BuildArch:	noarch

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers.
It is useful when the behavior of the layer depends on variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -rf inc

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

make test

%install
%make_install
rm -rf %{buildroot}/%{perl_vendorarch}

%files
%doc README CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-9.mga8
+ Revision: 1496525
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-8.mga7
+ Revision: 1270509
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1031982
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 928870
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 746165
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685966
- Mageia 5 Mass Rebuild

* Fri Dec 20 2013 sander85 <sander85> 0.50.0-3.mga4
+ Revision: 559255
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 13973
- imported package perl-PerlIO-via-symlink


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 406179
- rebuild using %%perl_convert_version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.05-5mdv2008.1
+ Revision: 136335
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.05-4mdv2008.0
+ Revision: 64193
- rebuild

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 0.05-3mdv2008.0
+ Revision: 20970
- use %%mkrel
- rebuild


* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.05-2mdk
- Do not ship empty dir

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-1mdk
- 0.05

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.04-1mdk
- 0.04

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-1mdk
- 0.03

* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.02-1mdk
- New version 0.02. Small specfile fixes.

* Thu Aug 05 2004 Michael Scherer <misc@mandrake.org> 0.01-1mdk
- First Mandrakelinux package

